<#assign title="房间管理">
<#include "/admin/head.ftl">
<section class="vbox">
    <section class="scrollable wrapper">

        <div class="panel panel-default">
            <div class="panel-body">
                <form id="theform" name="theform" onsubmit="return false;" style="padding-bottom: 15px;">
                    <div id="toolbar">
                        <button id="addRoom" type="button" class="btn btn-success btn-s-xs">添加包厢</button>
                    </div>
                </form>
                <table id="thetable"></table>
            </div>
        </div>

    </section>
</section>

<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel"></h4>
            </div>
            <div class="modal-body">

                <form class="form-horizontal">
                    <div class="panel-body">
                        <input type="hidden" name="roomId"/>

                        <div class="form-group">
                            <label for="placeId" class="col-sm-2 control-label">场地</label>

                            <div class="col-sm-10">
                                <select id="placeId" name="placeId" class="form-control">
                                    <option value="">请选择</option>
                                    <option value="1">场地一</option>
                                    <option value="2">场地二</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="roomName" class="col-sm-2 control-label">包厢名称</label>

                            <div class="col-sm-10">
                                <input type="text" id="roomName" name="roomName" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="roomCapacity" class="col-sm-2 control-label">最大人数</label>

                            <div class="col-sm-10">
                                <input type="number" id="roomCapacity" name="roomCapacity" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="roomDesc" class="col-sm-2 control-label">备注</label>

                            <div class="col-sm-10">
                                <input type="text" id="roomDesc" name="roomDesc" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>

                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="saveForm();">保存</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>
<#include "/admin/foot.ftl">
<script>
    initTable();

    $('#addRoom').click(function () {
        $('#myModal').find('h4').html('添加包厢');
        $('#myModal').find('form').formClear();

        $('#myModal').modal('toggle');
    });

    function responseHandler(root) {
        return { "total": root.pagination.count, "rows": root.data };
    }

    function roomDelete(roomId) {
        $.ajax({
            url: '/admin/room_delete.json',
            data: { roomId: roomId },
            type: 'post',
            success: function (data) {
                if (data.success) {
                    layer.msg('删除成功');
                    initTable();

                } else {
                    layer.msg(data.msg);
                }
            },
            error: function () {
                layer.msg("网络异常");
            }
        });
    }

    function saveForm() {
        var data = $('#myModal').find('form').formGet();
        if (!data.placeId) {
            layer.msg('场地不能为空');
            return;
        }
        if (!data.roomName) {
            layer.msg('包厢名不能为空');
            return;
        }

        var url;
        if ($('#myModal').find('h4').html() === '编辑包厢') {
            url = '/admin/room_edit.json';
        } else {
            //添加
            url = '/admin/room_addnew.json';
        }

        $.ajax({
            url: url,
            contentType: "application/json; charset=utf-8",
            data: JSON.stringify(data),
            type: 'post',
            success: function (data) {
                if (data.success) {
                    layer.msg("保存成功");
                    initTable();
                    $('#myModal').modal('toggle');

                } else {
                    layer.msg(data.msg);
                }
            },
            error: function () {
                layer.msg("网络异常");
            }
        });
    }

    function roomEdit(row) {
        $('#myModal').find('form').formSet(row);
        $('#myModal').find('h4').html('编辑包厢');
        $('#myModal').modal('toggle');
    }

    function userResetPwd(row) {

    }

    function roomDisable(row) {
        var data = row;
        if (row.beActive === 'Y' || row.beActive === 'N') {
            if (row.beActive === 'Y') {
                data.beActive = 'N';
            } else if (row.beActive === 'N') {
                data.beActive = 'Y';
            }

            $.ajax({
                url: '/admin/room_edit.json',
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(data),
                type: 'post',
                success: function (data) {
                    if (data.success) {
                        if (row.beActive === 'Y') {
                            layer.msg('已启用当前角色');
                        } else if (row.beActive === 'N') {
                            layer.msg('已禁用当前角色');
                        }
                        initTable();

                    } else {
                        layer.msg(data.msg);
                    }
                },
                error: function () {
                    layer.msg("网络异常");
                }
            });
        }
    }

    function initTable() {
        $('#thetable').bootstrapTable('destroy').bootstrapTable({
            url: '/admin/room.json',
            method: 'get',
            queryParams: function (params) {
                $('#theform').serializeArray().forEach(function fn(v) {
                    params[v.name] = v.value;
                });
                return params;
            },
            responseHandler: responseHandler,
            idField: 'roomId',
            exportDataType: 'all',
            exportTypes: ['txt', 'excel'],
            dataShowExport: true,
            search: false,
            sortStable: false,
            sidePagination: 'server',
            pagination: true,
            columns: [
                {
                    field: 'roomId',
                    title: '操作',
                    width: '120px',
                    formatter: function (v, row) {
                        row.sense_id = 'select';
                        var ts = [
                            '<button class="btn btn-default btn-sm" onclick=\'roomEdit(' + JSON.stringify(row) + ')\'>编辑</button>',
                            '<button class="btn btn-danger btn-sm" onclick="roomDelete(\'' + row.roomId + '\')">删除</button>'
                        ];
                        return ts.join('\n');
                    }
                }, {
                    field: 'placeName',
                    title: '场地名称'
                }, {
                    field: 'roomName',
                    title: '包厢名'
                }, {
                    field: 'roomCapacity',
                    title: '最大人数'
                }, {
                    field: 'roomDesc',
                    title: '备注'
                }, {
                    field: 'beActive',
                    title: '状态',
                    formatter: function (v, row) {
                        if (row.beActive === 'Y') {
                            return '<button class="btn btn-default" onclick="roomDisable(\'' + row.roomId + '\')">启用中</button>';
                        }
                        return '<button class="btn btn-dark" onclick="roomDisable(\'' + row.roomId + '\')">已禁用</button>';
                    }
                }
            ]
        });

        getPlace();

    }

    function getPlace() {
        $.ajax({
            url: '/admin/get_place.json',
            contentType: "application/json; charset=utf-8",
            type: 'get',
            success: function (data) {
                if (data.success) {
                    $('#placeId').empty();
                    $('#placeId').append($('<option value="">请选择</option>'));
                    data.data.place.forEach(function (p) {
                        $('#placeId').append($('<option value="' + p.placeId + '">' + p.placeName + '</option>'));
                    });
                } else {
                    layer.msg(data.msg);
                }
            },
            error: function () {
                layer.msg("网络异常");
            }
        });
    }


</script>